import React, { useState, useEffect } from 'react';
import { Input, Menu, Dropdown, Button, Icon, message, Table, Divider, Tag, Select, Form, Alert } from 'antd';
import { FormattedMessage } from 'umi-plugin-react/locale';
import channels from '../../channel/channelList.less';
import router from 'umi/router';
import request from '../../../utils/request'

const { TextArea } = Input;
const { Option } = Select;

const header = props => {

  const [data, setData] = useState({ channelNmae: [], result: [] })

  function goBack(){
    router.push({
      pathname: '/news/type/NewsType',
    });
  }

  function addChannel(params) {
    request({
      url: '/api/admin/channel',
      method: 'POST',
      data: { ...params },
      // eslint-disable-next-line no-shadow
    }).then(data => {
      console.log(data)
      setData(data)
      // eslint-disable-next-line no-unused-expressions
      router.go(-1)
    })
  }

  function handleSubmit(e) {
    e.preventDefault();
    props.form.validateFields((err, values) => {
      if (!err) {
        console.log('Received values of form: ', values);
        // eslint-disable-next-line max-len
        addChannel({ channelName: values.channelName, channelContact: values.channelContact, contactTel: values.contactTel })
      }
    });
  }

  const { getFieldDecorator } = props.form;

  return (
    <>
      <Form labelCol={{ span: 7 }} wrapperCol={{ span: 12 }} onSubmit={handleSubmit}>
      <Form.Item label="类型图片">
          {getFieldDecorator('newsName', {
            rules: [{ message: '' }],
          })(<Input className={channels.inpuit} />)}
        </Form.Item>
        <Form.Item label="名称">
          {getFieldDecorator('newsName', {
            rules: [{ message: '请输入资讯名称' }],
          })(<Input className={channels.inpuit} />)}
        </Form.Item>
        <Form.Item wrapperCol={{ span: 15, offset: 7 }}>
          <Button type="primary" htmlType="submit">
            保存
          </Button>
          <Button className={channels.formButton} onClick={goBack} type="primary" htmlType="submit">
            取消
          </Button>
        </Form.Item>
      </Form>
    </>
  )
}

const WrappedNormalLoginForm = Form.create({ name: 'header' })(header);
export default WrappedNormalLoginForm
